import request from '@/utils/request'

// api地址
const api = {
	addInvoicing: 'user/addInvoicing',
	myInvoicing: 'user/myInvoicing',
	editInvoicing: 'user/editInvoicing',
	invoicingLog: 'user/invoicingLog',
	invoicingDel: 'user/invoicingDel',
	invoicingDetail: 'user/invoicingDetail',
	invoicingAdd: 'user/invoicingAdd',
	invoicingEdit: 'user/invoicingEdit',
	invoicingDelNew: 'user/delInvoicing' 
} 
export const invoicingDelNew = (data) => {
	return request.get(api.invoicingDelNew,data)
}
export const invoicingEdit = (orderGoodsId, data) => {
	return request.post(api.invoicingEdit, {
		orderGoodsId,
		form: data
	})
}
export const invoicingAdd = (orderGoodsId, data) => {
	return request.post(api.invoicingAdd, {
		orderGoodsId,
		form: data
	})
}
export const addInvoicing = (data) => {
	return request.post(api.addInvoicing,data)
}
export const myInvoicing = (orderGoodsId, data) => {
	return request.get(api.myInvoicing,data)
}
export const editInvoicing = (data) => {
	return request.post(api.editInvoicing,data)
}
export const invoicingLog = (data) => {
	return request.get(api.invoicingLog,data)
}
export function invoicingDel(param, option) {
	return request.get(api.invoicingDel, param, option)
}

export function invoicingDetail(param, option) {
	return request.get(api.invoicingDetail, param, option)
}
